# eric3.Packagers.CxfreezeConfigDialog

Module implementing a dialog to enter the parameters for cxfreeze.

### Classes

CxfreezeConfigDialog | Class implementing a dialog to enter the parameters for cxfreeze.

### Functions

None

## CxfreezeConfigDialog

Class implementing a dialog to enter the parameters for cxfreeze.

### Derived from

CxfreezeConfigForm

### Methods

CxfreezeConfigDialog | Constructor
accept | Protected slot called by the Ok button.
generateParameters | Public method that generates the commandline parameters.
handleExtListFile | Private slot to select the external list file.
handleSharedLib | Private slot to select the Python shared library.
handleTargetDir | Private slot to select the target directory.
initializeDefaults | Private method to set the default values.
splitIt | Private method to split a string.

### CxfreezeConfigDialog (Constructor)

CxfreezeConfigDialog(ppath, parms = None, parent = None)

Constructor

ppath
  project path of the current project (string)
parms
  parameters to set in the dialog
parent
  parent widget of this dialog

### CxfreezeConfigDialog.accept

accept()

Protected slot called by the Ok button.

It saves the values in the parameters dictionary.

### CxfreezeConfigDialog.generateParameters

generateParameters()

Public method that generates the commandline parameters.

It generates a QStringList to be used to set the QProcess arguments for the cxfreeze call and a list containing the non default parameters. The second list can be passed back upon object generation to overwrite the default settings.

Returns:
  a tuple of the commandline parameters and non default parameters (QStringList, dictionary)

### CxfreezeConfigDialog.handleExtListFile

handleExtListFile()

Private slot to select the external list file.

It displays a file selection dialog to select the external list file, the list of include modules is written to.

### CxfreezeConfigDialog.handleSharedLib

handleSharedLib()

Private slot to select the Python shared library.

It displays a file selection dialog to select the Python shared library.

### CxfreezeConfigDialog.handleTargetDir

handleTargetDir()

Private slot to select the target directory.

It displays a directory selection dialog to select the directory the files are written to.

### CxfreezeConfigDialog.initializeDefaults

initializeDefaults()

Private method to set the default values.

These are needed later on to generate the commandline parameters.

### CxfreezeConfigDialog.splitIt

splitIt(s, sep)

Private method to split a string.

It differs from Pythons implementation in the way, that it returns an empty list, if the split is attempted on an empty string.

s
  string to split (string)
sep
  separator string (string)

Returns:
  list of split values

Up